# PreprocessingTool

@Incubating
interface PreprocessingTool : Tool

A tool that permits configuration of the C preprocessor.

## Functions

args
Link copied to clipboard
abstract fun args(args: Array<String>)
define
Link copied to clipboard
abstract fun define(name: String)
Defines a named preprocessor macros to use when compiling this binary.
abstract fun define(name: String, definition: String)
Defines a named preprocessor macro with a value, which will be used when compiling this binary.
getArgs
Link copied to clipboard
abstract fun getArgs(): List<String>
getMacros
Link copied to clipboard
abstract fun getMacros(): Map<String, String>
The set of preprocessor macros to define when compiling this binary.